use crate::qintr::*;

pub struct Project
{
   emit: ProjectEmitter,
}

impl Drop for Project
{
   fn drop(&mut self)
   {
      println!("drop Project");
   }
}

impl ProjectTrait for Project
{
   fn new(emit: ProjectEmitter) -> Project
   {
      println!("new Project");
      Project{emit}
   }

   fn emit(&mut self) -> &mut ProjectEmitter
   {
      &mut self.emit
   }
}

// EOF
